<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous" />

    <title>Halaman Tabel</title>

    <style>
      body {
        background-color: rgb(49, 247, 181);
        font-family: Arial, Helvetica, sans-serif;
      }
    </style>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-success shadow-sm fixed-top">
      <div class="container">
        <a class="navbar-brand" href="#">Tugas 1</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav ms-auto">
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="#home">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">Tabel</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/form">Add User</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <!-- tabel -->
    <section>
      <div class="container">
        <div class="row justify-content-center mt-5">
          <table class="mt-5">
            <thead>
              <tr>
                <th scope="col">Name</th>
                <th scope="col">Age</th>
                <th scope="col">Username</th>
                <th scope="col">Aksi</th>
              </tr>
            </thead>
            <tbody>
              <% for(var i=0; i < users.length; i++) { %>
                <tr>
                  <th scope="row"><%= users[i].name %></th>
                  <td><%= users[i].age %> years</td>
                  <td><%= users[i].username %></td>
                  <td>
                    <a href="/edit" class="btn btn-success">Edit</a>
                    <a href="/delete" class="btn btn-danger">Hapus</a>
                  </td>
                </tr>
              <% } %>
            </tbody>
          </table>
        </div>
      </div>
    </section>
    <!-- <section>
      <div class="container">
        <div class="col-md text-center mt-5 pt-5">
          <h1>Halaman Tabel</h1>
        </div>
        <div class="row justify-content-center mt-5">
          <div class="col-6 col-md-1 border border-dark">id</div>
          <div class="col-6 col-md-3 border border-dark">Name</div>
          <div class="col-6 col-md-1 border border-dark">Age</div>
          <div class="col-6 col-md-3 border border-dark">Username</div>
          <div class="col-6 col-md-3 border border-dark">Password</div> -->

         
          <!-- <div class="w-100 d-none d-md-block"></div>

          <div class="col-6 col-md-1 border border-dark">1</div>
          <div class="col-6 col-md-3 border border-dark">Luthfi</div>
          <div class="col-6 col-md-1 border border-dark">24</div>
          <div class="col-6 col-md-3 border border-dark">luthfihu</div>
          <div class="col-6 col-md-3 border border-dark">*********</div>

          <div class="w-100 d-none d-md-block"></div>

          <div class="col-6 col-md-1 border border-dark"></div>
          <div class="col-6 col-md-3 border border-dark"></div>
          <div class="col-6 col-md-1 border border-dark"></div>
          <div class="col-6 col-md-3 border border-dark"></div>
          <div class="col-6 col-md-3 border border-dark"></div>

          <div class="w-100 d-none d-md-block"></div>

          <div class="col-6 col-md-1 border border-dark"></div>
          <div class="col-6 col-md-3 border border-dark"></div>
          <div class="col-6 col-md-1 border border-dark"></div>
          <div class="col-6 col-md-3 border border-dark"></div>
          <div class="col-6 col-md-3 border border-dark"></div>
        </div>
      </div>
    </section> -->

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>
  </body>
</html>
